dht::TrustRequest Class Reference
Inheritance diagram for dht::TrustRequest:
[legend]
Collaboration diagram for dht::TrustRequest:
[legend]

## Public Member Functions

| TrustRequest (std::string s)
| TrustRequest (std::string s, const Blob &d)
Public Member Functions inherited from dht::EncryptedValue< TrustRequest >
virtual void | unpackValue (const Value &v) override
virtual void | unpackValue (const Value &v) override
Public Member Functions inherited from dht::Value::Serializable< TrustRequest >
virtual const ValueType & | getType () const
virtual void | unpackValue (const Value &v)
virtual Value | packValue () const
virtual const ValueType & | getType () const =0
virtual void | unpackValue (const Value &v)=0
virtual Value | packValue () const =0

## Static Public Member Functions

static Value::Filter | getFilter ()
Static Public Member Functions inherited from dht::EncryptedValue< TrustRequest >
static Value::Filter | getFilter ()
Static Public Member Functions inherited from dht::SignedValue< TrustRequest >
static Value::Filter | getFilter ()

## Public Attributes

std::string | service
Blob | payload
bool | confirm {false}
Public Attributes inherited from dht::EncryptedValue< TrustRequest >
dht::InfoHash | to
Public Attributes inherited from dht::SignedValue< TrustRequest >
dht::InfoHash | from

## Static Public Attributes

static const ValueType | TYPE

## Additional Inherited Members

Public Types inherited from dht::EncryptedValue< TrustRequest >
using | BaseClass = SignedValue< TrustRequest >

## Detailed Description

Definition at line 135 of file default_types.h.

## Constructor & Destructor Documentation

## TrustRequest() [1/3]

dht::TrustRequest::TrustRequest | ( |  | ) |

inline

Definition at line 143 of file default_types.h.

## TrustRequest() [2/3]

dht::TrustRequest::TrustRequest | ( | std::string | s | ) |

inline

Definition at line 144 of file default_types.h.

## TrustRequest() [3/3]

dht::TrustRequest::TrustRequest | ( | std::string | s,
|  | const Blob & | d
| ) |  |

inline

Definition at line 145 of file default_types.h.

## Member Function Documentation

## getFilter()

static Value::Filter dht::TrustRequest::getFilter | ( |  | ) |

inline static

Definition at line 147 of file default_types.h.

## Member Data Documentation

## confirm

bool dht::TrustRequest::confirm {false}

Definition at line 153 of file default_types.h.

## payload

Blob dht::TrustRequest::payload

Definition at line 152 of file default_types.h.

## service

std::string dht::TrustRequest::service

Definition at line 151 of file default_types.h.

## TYPE

const ValueType dht::TrustRequest::TYPE

static

Definition at line 141 of file default_types.h.

The documentation for this class was generated from the following file:

- /tmp/slackbuilds_libs/opendht-1.7.4/include/opendht/default_types.h